ecflow (5.13.5-2) unstable; urgency=medium

  * Enable python3.13 build. Closes: #1081641	
  * Re-enable parallel builds. Closes: #1086585

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Nov 2024 05:14:16 +0000

ecflow (5.13.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Nov 2024 09:23:05 +0000

ecflow (5.13.4-1) unstable; urgency=medium

  * New upstream release
  * d/rules: set --no-parallel to avoid out-of-memory issues
  * Hard-code building only on python3.12 until py3.13 build issues solved

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Oct 2024 09:18:50 +0100

ecflow (5.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Jul 2024 08:50:06 +0100

ecflow (5.13.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Jul 2024 09:06:31 +0100

ecflow (5.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Jun 2024 10:56:34 +0100

ecflow (5.12.4-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete sleep_for.patch
  * Make Debian Science team the maintainer
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Apr 2024 08:19:47 +0100

ecflow (5.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Mar 2024 10:03:06 +0000

ecflow (5.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Mar 2024 07:01:25 +0000

ecflow (5.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Mar 2024 07:04:30 +0000

ecflow (5.12.0-1) unstable; urgency=medium

  * New upstream release
  * optional.patch: merged upstream
  * g++-13.patch: merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Feb 2024 11:15:12 +0000

ecflow (5.11.4-2) unstable; urgency=medium

  * Use FPIC on armel,armhf for boost 1.83. Closes: #1059136

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 13:38:36 +0000

ecflow (5.11.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Oct 2023 13:30:48 +0100

ecflow (5.11.3-2) unstable; urgency=medium

  * Build twice-in-a-row. Closes: #1045001, #1049734

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Aug 2023 14:12:02 +0100

ecflow (5.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jul 2023 09:29:57 +0100

ecflow (5.11.1-1) unstable; urgency=medium

  * New upstream release
    - rebase patches
  * Add misc-depends to pkgs

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Jul 2023 12:45:35 +0100

ecflow (5.11.0-3) unstable; urgency=medium

  * g++-13.patch: fix FTBFS for g++ 13 due to stricter standards
    Closes: #1037639
  * Add dep to ecflow-client on libqt6svg6; not automatically included?
    Closes: #1033611
  * Add perl:Depends to ecflow-server

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Jun 2023 12:15:34 +0100

ecflow (5.11.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:26:39 +0100

ecflow (5.11.0-1) experimental; urgency=medium

  * New upstream release
  * Fixes needed for g++ 12:
    - optional.patch
    - sleep_for.patch
  * Disable s_udp test that FTBFS:
    - disable-test.patch
  * Standards-Version: 4.6.2
  * Mow ships ecflow_udp[_client] executables

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jun 2023 15:27:04 +0100

ecflow (5.10.0-1) experimental; urgency=medium

  * New upstream release
  * Add symlink in d/rules to find ecbuild scripts
  * Now include ecflow_http in ecflow-server

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 10:53:00 +0000

ecflow (5.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Dec 2022 11:14:03 +0000

ecflow (5.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Nov 2022 12:22:55 +0000

ecflow (5.9.0-1) unstable; urgency=medium

  * New upstream release
  * gcc++-12 patch now merged upstream
  * Drop unused soname.patch
  * Switch Qt5 -> Qt6. Drop Qt5 dependencies and instead use
    qt6-base-dev, libqt6core5compat6-dev, libqt6svg6-dev, qt6-charts-dev,
    libqt6opengl6-dev, libxkbcommon-dev
  * Standards-Version: 4.6.1
  * B-D on doxygen

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Oct 2022 09:29:27 +0100

ecflow (5.8.4-2) unstable; urgency=medium

  * Fix FTBFS with g++ 12 . Closes: #1016010
  * Standards-Version: 4.6.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Jul 2022 12:24:28 +0100

ecflow (5.8.4-1) unstable; urgency=medium

  * Nee upstream  release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 May 2022 06:38:26 +0100

ecflow (5.8.3-2) unstable; urgency=medium

  * Don't hard-code PY3VERSIONS. Closes: #1008105

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Mar 2022 11:54:03 +0000

ecflow (5.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Mar 2022 14:48:10 +0000

ecflow (5.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Jan 2022 10:55:42 +0000

ecflow (5.8.0-1) unstable; urgency=medium

  * New upstream release
   - syntax.patch change merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Jan 2022 17:12:58 +0000

ecflow (5.7.2-2) unstable; urgency=medium

  * Fix d/rule to fail on shell-script failures. Closes: #1000186

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Nov 2021 14:28:45 +0000

ecflow (5.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Sep 2021 11:15:02 +0100

ecflow (5.7.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Aug 2021 09:29:39 +0100

ecflow (5.7.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 May 2021 14:38:14 +0100

ecflow (5.6.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/not-installed for path changes
  * No longer ship ecflow_log
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Nov 2020 20:03:36 +0000

ecflow (5.5.3-4) unstable; urgency=medium

  * Fix SyntaxError in ecf.py Closes: #973023
  * Add python3-all to test dependencies. Closes: #9732529

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2020 17:09:24 +0000

ecflow (5.5.3-3) unstable; urgency=medium

  * Rebuild against libboost-python >= 1.71.0-7+b1 for python3.9

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Oct 2020 09:48:11 +0100

ecflow (5.5.3-2) unstable; urgency=medium

  * Fix support for all python3 versions. Closes: #972198.
    Note: whether all supported versions are built will depend on whether
    dependencies (libboost-python-dev) have built support yet.
  * Re-enable dh_dwz as it appears to be fixed.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Oct 2020 10:58:39 +0100

ecflow (5.5.3-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper compat 13
    - Add new scripts to ecflow-client, not-installed
  * Point VCS* to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Sep 2020 10:11:03 +0100

ecflow (5.5.2-1) unstable; urgency=medium

  * New upstream release
  * No longer need to autogenerate *.install files
  * Add d/gbp.conf with new DEP-14 branch names

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Sep 2020 12:30:31 +0100

ecflow (5.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jul 2020 11:47:48 +0100

ecflow (5.5.0-1) unstable; urgency=medium

  * New upstream release
  * Patch merged upstream:
    - gcc10.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jul 2020 12:30:47 +0100

ecflow (5.4.0-1) unstable; urgency=medium

  * New upstream release
  * Drop libecflow* in ecflow-5 series
  * Drop merged/obsolete patches:
    - auto_ptr.patch
    - format-security.patch
    - logsvr-sigaction.patch
  * New patches
    - ecbuild.patch: use debian pkg
    - gcc10.patch: Fix error found in g++ 10
  * Use ecbuild buildsystem rather than cmake
  * Update boost libs needed : timer, chrono, unit-test-framework

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Jun 2020 17:01:51 +0100

ecflow (4.17.2-3) unstable; urgency=medium

  * Drop unnecessary build-deps. Closes: #955446
  * Test: depend on ecflow-client pkg, not ecflow_client

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Apr 2020 10:16:28 +0100

ecflow (4.17.2-2) unstable; urgency=medium

  * Ensure ecflow supports all python3 versions
  * Add preliminary autopkgtest tests

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Mar 2020 14:03:27 +0100

ecflow (4.17.2-1) unstable; urgency=medium

  * New upstream release 
  * Standards-Version: 4.5.0
  * Use dh-sequence-python3 instead of --with python3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Mar 2020 16:35:26 +0000

ecflow (4.17.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Jan 2020 14:03:33 +0000

ecflow (4.16.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.1.0
  * Ensure scripts are labelled python3 not python. Closes: #945637

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Dec 2019 11:23:57 +0000

ecflow (4.16.0-1) unstable; urgency=medium

  * New upstream release
  * Build with ecbuild
  * Move all python3 refs in ecflow-client to python3

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Sep 2019 09:27:05 +0100

ecflow (4.15.0-1) unstable; urgency=medium

  * Drop python2 support
  * New upstream release
  * Now use debhelper-compat (= 12)
  * Standards-Version: 4.4.0
  * Bypass dwz on this build: DIE missing
  * Add extra files pointed by dh_missing
  
 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jul 2019 11:54:31 +0100

ecflow (4.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Mar 2019 12:45:52 +0000

ecflow (4.12.0-1) unstable; urgency=medium

  * New upstream release
  * cmake must be >= 3.12.0 (causes FTBFS on m68k)
  * Standards-Version: 4.3.0
  * Drop .pl, .sh suffixes from executable names
  * Add ecflow_fuse to ecflow-client
  * Ship /usr/share/ecflow/* in ecflow-client
  * Change perl interpreter /usr/bin/env -> /usr/bin/perl

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Jan 2019 16:36:05 +0000

ecflow (4.11.1-3) unstable; urgency=medium

  * Patch for PATH_MAX def missing on Gnu Hurd
  * Fix for FTBFS on kFreeBSD
  * Build -fPIC on x32

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Nov 2018 10:02:27 +0000

ecflow (4.11.1-2) unstable; urgency=medium

  * Handle change of libname in boost transiton:
    libboost_python-py27.so -> libboost_python27.so, etc. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Nov 2018 14:48:53 +0000

ecflow (4.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Oct 2018 12:41:24 +0100

ecflow (4.11.0-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete patches:
    - set-paths.patch
    - logsvr_syntax_fix.patch
    - boost_python_tuple.patch
    - qt5-11-transition.patch
  * New patch
    - boost python.patch (for Debian python lib name)
  * Standards-Version: 4.2.1
  * Remove hard-coded xz compression for debian tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Oct 2018 11:57:51 +0100

ecflow (4.10.0-3) unstable; urgency=medium

  * Add python3.7 B-D (temporarily needed on i386? )  
  * Standards-Version: 4.2.0
  * Build -fPIC on i386.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Sep 2018 14:56:32 +0100

ecflow (4.10.0-2) unstable; urgency=medium

  * Fix for FTBFS with Qt5.11 
  * Update URLs in debian/watch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Jul 2018 08:43:18 +0100

ecflow (4.10.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5
  * Add build-dep for libqt5charts5-dev
  * Add copyright for ./Viewer/ecflowUI/images/spinning_wheel.gif
  * Update docs to not include pdf, docx files
  * python3-ecflow now uses python3:Depends, not python:Depends
  * Ensure both py3.6, py3.7 extensions are built.
  * Add Apache NOTICE to docs
  * Fix for python3

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Jul 2018 07:17:12 +0100

ecflow (4.9.0-3) unstable; urgency=medium

  * Temporarily drop slurm dependency that is blocking ecflow

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 May 2018 07:31:42 +0100

ecflow (4.9.0-2) unstable; urgency=medium

  * Patch for mips* FTBFS from James Cowgill. Closes: #875461

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Apr 2018 13:41:58 +0100

ecflow (4.9.0-1) unstable; urgency=medium

  * New upstream release
  * Renamed: ecflow_logsvr -> ecflow_logserver
  * gcc7-fixes.patch upstream
  * logserver patch now obsolete
  * Standards-Version: 4.1.4

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Apr 2018 10:05:09 +0100

ecflow (4.8.0-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on libqt5svg5-dev
  * Standards-Version: 4.1.3
  * Move VCS to salsa
  * Patch for boost::python:tuple ambiguity with new stdc::tuple
  * Drop ecflow_migrate: not installed upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Feb 2018 10:59:50 +0000

ecflow (4.7.1+dfsg.1-2) unstable; urgency=medium

  * Set -DDISABLE_OS_CHECK=ON for Hurd build

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Nov 2017 09:13:01 +0000

ecflow (4.7.1+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * Don't use slurm (optional) on hurd, kfreebsd (not available there)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Nov 2017 12:45:45 +0000

ecflow (4.7.0-1) unstable; urgency=medium

  * Compile -fPIC on hppa. Closes: #875464
  * Standards-Version: 4.1.1; no changes required
  * Updates to auto_ptr.patch
  * Compile with -DNO_REGEXP to cope with regexp.h changes in glibc
  * Patch for typo in ecflow_logsvr

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Oct 2017 14:42:28 +0100

ecflow (4.6.1-2) unstable; urgency=medium

  * Fix FTBFS with g++7. Closes: #873834
  * Standards-Version: 4.1.0; no changes required
  * Fix missing "from __future__ " clause in python3 patch. Closes: #874734

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Sep 2017 19:22:13 +0100

ecflow (4.6.1-1) unstable; urgency=medium


  * Initial release. (Closes: #679237)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Jul 2017 13:25:01 +0100
